## ros-eloquent-ntpd-driver 2.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(ntpd_driver)

# Default to C99
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 99)
endif()

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

# find dependencies
find_package(ament_cmake REQUIRED)
# uncomment the following section in order to fill in
# further dependencies manually.
# find_package(<dependency> REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rclcpp_components REQUIRED)
find_package(class_loader REQUIRED)
find_package(sensor_msgs REQUIRED)

find_package(Poco REQUIRED COMPONENTS Foundation)

include_directories(
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include>
)

add_library(ntpddriver SHARED src/NtpdShmDriver.cpp)
ament_target_dependencies(ntpddriver
  rclcpp
  rclcpp_components
  class_loader
  sensor_msgs
)
target_link_libraries(ntpddriver ${Poco_LIBRARIES})
rclcpp_components_register_nodes(ntpddriver "NtpdShmDriver")

add_executable(shm_driver src/shm_driver_node.cpp)
target_link_libraries(shm_driver ntpddriver)

install(TARGETS shm_driver ntpddriver
  EXPORT export_${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION lib/${PROJECT_NAME}
)

install(DIRECTORY launch
  DESTINATION share/${PROJECT_NAME}
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  # the following line skips the linter which checks for copyrights
  # uncomment the line when a copyright and license is not present in all source files
  #set(ament_cmake_copyright_FOUND TRUE)
  # the following line skips cpplint (only works in a git repo)
  # uncomment the line when this package is not in a git repo
  #set(ament_cmake_cpplint_FOUND TRUE)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package()
# vim: ts=2 sw=2 et:

=== debian/changelog ===
ros-eloquent-ntpd-driver (2.0.1-1bionic) bionic; urgency=high

  * disable depend on launch_xml, rosdep can't find it
  * Contributors: Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Sun, 29 Dec 2019 00:00:00 -0000

ros-eloquent-ntpd-driver (2.0.0-1bionic) bionic; urgency=high

  * update launch
  * read parameters
  * subscribe to time_ref topic, remove log THROTTLE - segfaults
  * open shm
  * make it buildable, todo: subscribe, open shm
  * update cmake to use ament
  * Contributors: Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Sun, 29 Dec 2019 00:00:00 -0000

ros-eloquent-ntpd-driver (1.2.0-1bionic) bionic; urgency=high

  * #2 <https://github.com/vooon/ntpd_driver/issues/2>: allow both UDPROS and TCPROS
  * Contributors: Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Fri, 02 Oct 2015 00:00:00 -0000

ros-eloquent-ntpd-driver (1.1.1-1bionic) bionic; urgency=high

  * Syncronize shm write with gpsd/ntpshmwrite.c
  * Add fixup_date parameter.
    Now driver can setup system date.
  * Contributors: Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Sat, 18 Jul 2015 00:00:00 -0000

ros-eloquent-ntpd-driver (1.1.0-1bionic) bionic; urgency=high

  * Update package.xml for REP 140
  * Change topic param name to ~/time_ref_topic
  * Merge pull request #1 <https://github.com/vooon/ntpd_driver/issues/1> from oceansystemslab/master
    Updated Driver
  * Updated README with new node input parameter
  * fixed indentation according to ROS guidelines and added input parameter for time reference topic
  * Removed transport hints to allow the driver to work with the nmea_serial_driver Python publisher and added ROS style indentation.
  * Updated .gitignore with C++ version on GitHub
  * Contributors: Valerio De Carolis, Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Fri, 17 Apr 2015 00:00:00 -0000

ros-eloquent-ntpd-driver (1.0.2-1bionic) bionic; urgency=high

  * Add example launch script.
  * Add rosindex metadata.
  * Contributors: Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Sat, 24 Jan 2015 00:00:00 -0000

ros-eloquent-ntpd-driver (1.0.1-1bionic) bionic; urgency=high

  * Rename package from ros2ntpd to ntpd_driver
    Add notes for chrony.
  * Contributors: Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Sun, 13 Jul 2014 00:00:00 -0000

ros-eloquent-ntpd-driver (1.0.0-1bionic) bionic; urgency=high

  * Update readme
  * Add readme
  * Update shmTime struct to latest version.
    Fix: change leap=0 will fix ntpd receive.
  * Initial
  * Contributors: Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Sat, 28 Jun 2014 00:00:00 -0000

=== debian/control ===
Source: ros-eloquent-ntpd-driver
Section: misc
Priority: optional
Maintainer: Vladimir Ermakov <vooon341@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libpoco-dev, ros-eloquent-ament-cmake, ros-eloquent-ament-lint-auto, ros-eloquent-ament-lint-common, ros-eloquent-class-loader, ros-eloquent-rclcpp, ros-eloquent-rclcpp-components, ros-eloquent-sensor-msgs, ros-eloquent-ros-workspace
Homepage: http://wiki.ros.org/ntpd_driver
Standards-Version: 3.9.2

Package: ros-eloquent-ntpd-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpoco-dev, ros-eloquent-class-loader, ros-eloquent-rclcpp, ros-eloquent-rclcpp-components, ros-eloquent-sensor-msgs, ros-eloquent-ros-workspace
Description: ntpd_driver sends TimeReference message time to ntpd server

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/eloquent/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/eloquent" \
		-DAMENT_PREFIX_PATH="/opt/ros/eloquent"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-eloquent-ntpd-driver//opt/ros/eloquent/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_install
